---
schema_version: "1"
id: 21fb430a05174cf69e6338f1c8b2ded617a7e55f51d5ce1d09ada3de6f5b76bf
title: Get an App
collection: legacydeveloper
version: current
locale: en-us
portal_url: https://docs.salesforce.com/legacydeveloper/current/en-us/uiapi/ui_api_resources_apps_id.md
canonical_url: https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_resources_apps_id.htm
source_site: developer.salesforce.com
content_type: documentation
content_hash: 143666230f9deba736df5230987ebef045e0d6430d3a671edb5c3678298cd9c9
description: Get the metadata for an app.
---
# Get an App

Get the metadata for an app.

Resource

/ui-api/apps/${appId}

Available Version

43.0

HTTP Method

GET

Example

As an example, let’s say that the user has an app with an ID of 06mRM000000AFIrYAO. To get metadata for this app, make this request:

GET /services/data/v68.0/ui-api/apps/06mRM000000AFIrYAO?formFactor=Large

The request returns metadata for the app and its associated navigation tabs.

Request Parameters

<table class="featureTable sort_table" summary="">





              <thead class="thead sorted" align="left">
                <tr>
                  <th class="featureTableHeader vertical-align-top " id="d39347e114">Parameter Name</th>

                  <th class="featureTableHeader vertical-align-top " id="d39347e117">Type</th>

                  <th class="featureTableHeader vertical-align-top " id="d39347e120">Description</th>

                  <th class="featureTableHeader vertical-align-top " id="d39347e123">Required or Optional</th>

                  <th class="featureTableHeader vertical-align-top " id="d39347e126">Available Version</th>

                </tr>

              </thead>

              <tbody class="tbody">
                <tr>
                  <td class="entry" headers="d39347e114" data-title="Parameter Name"><samp class="codeph nolang">formFactor</samp></td>

                  <td class="entry" headers="d39347e117" data-title="Type">String</td>

                  <td class="entry" headers="d39347e120" data-title="Description">The form factor for each app that the user has access to.<a name="form_factor_values_ul"><!-- --></a>
                    <ul class="ul bulletList" id="form_factor_values_ul">
                      <li class="li">
                        <samp class="codeph nolang">Large</samp>—App supports the
                        desktop display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Medium</samp>—App supports the
                        tablet display size.
                      </li>

                      <li class="li">
                        <samp class="codeph nolang">Small</samp>—App supports the phone
                        display size.
                      </li>

                    </ul>
                  </td>

                  <td class="entry" headers="d39347e123" data-title="Required or Optional">Required</td>

                  <td class="entry" headers="d39347e126" data-title="Available Version">43.0</td>

                </tr>

                <tr>
                  <td class="entry" headers="d39347e114" data-title="Parameter Name"><samp class="codeph nolang">userCustomizations</samp></td>

                  <td class="entry" headers="d39347e117" data-title="Type">Boolean</td>

                  <td class="entry" headers="d39347e120" data-title="Description">If <samp class="codeph nolang">true</samp>, gets custom and standard
                    navigation tabs. If false, gets only standard navigation tabs.</td>

                  <td class="entry" headers="d39347e123" data-title="Required or Optional">Optional</td>

                  <td class="entry" headers="d39347e126" data-title="Available Version">43.0</td>

                </tr>

              </tbody>

            </table>

Response Body

[App](https://developer.salesforce.com/docs/atlas.en-us.uiapi.meta/uiapi/ui_api_responses_app.htm#ui_api_responses_app "The metadata for a single app.")